View Issue Details

IDProjectCategoryView StatusLast Update
0031188Open CASCADEOCCT:DRAWpublic2020-12-02 17:12
Reporterkgv Assigned Tobugmaster  
PrioritynormalSeverityintegration request 
Status closedResolutionfixed 
Target Version7.5.0Fixed in Version7.5.0 
Summary0031188: Draw Harness - enable colorized messages output to console by default
DescriptionIt is proposed enabling Message_PrinterOStream::ToColorize() property ON by default.
TagsNo tags attached.
Test case numberNot required

Relationships

parent of 0031714 closedbugmaster Draw Harness - print command name with intense within help output 
parent of 0031731 closedkgv Draw Harness - colorize errors and exception messages 
related to 0031189 closedbugmaster Draw Harness, ViewerTest - send messages to Message::DefaultMessenger() 
child of 0031036 closedapn Foundation Classes, Message_PrinterOStream - add option printing colored text into console 

Activities

git

2019-11-23 00:10

administrator   ~0089158

Branch CR31188 has been created by kgv.

SHA-1: 34c359bff0b12e2bec706f47bb5e123217c88f09


Detailed log of new commits:

Author: kgv
Date: Sat Nov 23 00:08:22 2019 +0300

    0031188: Draw Harness - enable colorized messages output to console by default
    
    Message_PrinterOStream now uses colorized output by default.
    DRAWEXE has been corrected to disabled colorized output
    when it is called with -f argument to avoid spoiling testgrid HTML logs.

kgv

2019-11-23 01:52

developer   ~0089159

Patch is ready for review.

abv

2019-11-24 12:17

manager   ~0089187

Reviewed, please integrate

git

2019-11-24 13:19

administrator   ~0089188

Branch CR31188 has been updated forcibly by kgv.

SHA-1: 99223ebeb9512730d56cd0fc6803570333ef4525

bugmaster

2019-11-27 16:46

administrator   ~0089224

Combination -
OCCT branch : WEEK-48
master SHA - 2b5a58a33cf42ab3d995e63dde8c1ff7278cb4d0
5f5b1aed1c6e139bbd34314eca77ae7abcd8895c
Products branch : WEEK-48 SHA - 3b604b9355eb7932637676d9f7a2146a78ba7df1
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 16796.860000000055 / 16848.370000000145 [-0.31%]
Products
Total CPU difference: 10878.57000000006 / 10787.150000000072 [+0.85%]
Windows-64-VC14:
OCCT
Total CPU difference: 18298.9375 / 18305.59375 [-0.04%]
Products
Total CPU difference: 10772.90625 / 12768.0625 [-15.63%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2019-12-01 12:49

administrator   ~0089326

Branch CR31188 has been deleted by inv.

SHA-1: 99223ebeb9512730d56cd0fc6803570333ef4525

Related Changesets

occt: master e513a6c5

2019-11-22 21:08:22

kgv


Committer: bugmaster Details Diff
0031188: Draw Harness - enable colorized messages output to console by default

Message_PrinterOStream now uses colorized output by default.
DRAWEXE has been corrected to disabled colorized output
when it is called with -f argument to avoid spoiling testgrid HTML logs.
Affected Issues
0031188
mod - src/Draw/Draw.cxx Diff File
mod - src/Message/Message_PrinterOStream.cxx Diff File
mod - src/Message/Message_PrinterOStream.hxx Diff File

Issue History

Date Modified Username Field Change
2019-11-23 00:08 kgv New Issue
2019-11-23 00:08 kgv Assigned To => abv
2019-11-23 00:10 git Note Added: 0089158
2019-11-23 01:52 kgv Note Added: 0089159
2019-11-23 01:52 kgv Status new => resolved
2019-11-23 01:52 kgv Relationship added child of 0031036
2019-11-24 12:17 abv Note Added: 0089187
2019-11-24 12:17 abv Assigned To abv => bugmaster
2019-11-24 12:17 abv Status resolved => reviewed
2019-11-24 13:19 git Note Added: 0089188
2019-11-24 15:04 kgv Relationship added related to 0031189
2019-11-27 16:46 bugmaster Note Added: 0089224
2019-11-27 16:46 bugmaster Status reviewed => tested
2019-11-27 16:51 bugmaster Test case number => Not required
2019-12-01 12:22 bugmaster Changeset attached => occt master e513a6c5
2019-12-01 12:22 bugmaster Status tested => verified
2019-12-01 12:22 bugmaster Resolution open => fixed
2019-12-01 12:49 git Note Added: 0089326
2020-08-18 11:36 kgv Relationship added parent of 0031714
2020-08-25 09:59 kgv Relationship added parent of 0031731
2020-12-02 16:41 emo Fixed in Version => 7.5.0
2020-12-02 17:12 emo Status verified => closed
The file specified in $g_log_destination "/var/log/mantis/bugs/LDAP.log" is not writable.